Skip to content

Registers a new key/workspace governance reference.

POST
/v1/m/models/keys
curl --request POST \
--url https://example.com/v1/m/models/keys \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "created_at": "example", "ext_id": "example", "hint": "example", "id": "example", "name": "example", "owner_ref": "example", "provider_ref": "example", "ref_kind": "api_key", "status": "active", "workspace_ref": "example" }'

Registers a new key/workspace governance reference.

X-Olivares-Tenant
string format: uuid

Target tenant id; required when the principal can act in more than one tenant.

Media type application/json
object
created_at

Accepted by the DTO; an invalid timestamp is silently omitted by the handler.

string
ext_id
required
string
>= 1 characters /\S/
hint
string
<= 64 characters
id
string
name
string
owner_ref
string
provider_ref
required
string
>= 1 characters /\S/
ref_kind
required
string
Allowed values: api_key workspace
status
string
default: active
workspace_ref
string

OK

Media type application/json
object
Example generated
{}

Bad request

Media type application/json
object
Example generated
{}

Unauthenticated

Media type application/json
object
Example generated
{}

Forbidden

Media type application/json
object
Example generated
{}

Not found

Media type application/json
object
Example generated
{}

Conflict / setup required

Media type application/json
object
Example generated
{}

Rate limited

Media type application/json
object
Example generated
{}